Opened 5 years ago

Closed 15 months ago

#12013 closed defect (wontfix)

Verify the NetTest version as well as name

Reported by: hellais Owned by: hellais
Priority: Medium Milestone:
Component: Archived/Ooni Version:
Severity: Normal Keywords: oonib, archived-closed-2018-07-04
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

We don't implement version checking yet. To confirm: Do we intend for collectors to accept reports from versions of NetTests that are -newer- than the version specified in the policy? Or only the exact version(s)?

Child Tickets

Change History (3)

comment:1 Changed 5 years ago by hellais

I think we should for the moment not take into consideration the version number of the nettest, but accept reports from any version of nettest.

It should however be the responsibility of the bouncer to serve the address of a test helper that supports the specified nettest version. Currently test helpers are so basic that there is no need for versioning so this feature is not a high priority.

comment:2 Changed 22 months ago by teor

Severity: Normal

Set all open tickets without a severity to "Normal"

comment:3 Changed 15 months ago by teor

Keywords: archived-closed-2018-07-04 added
Resolution: wontfix
Status: newclosed

Close all tickets in archived components

Note: See TracTickets for help on using tickets.